Subject: Re: [dir-coord] Early OPS-IDR Review requested of draft-ietf-idr-aigp

From: Benoit Claise <[email-masked]>
Date: Thu, 09 Jan 2014 08:30:36 +0100

Gunter, Tina,

[copying "[email-masked]" <[email-masked]>, as this is the way 
to request early reviews. Not sure if this is important though]

Can you please allocate an OPS reviewer for this document, and flag this 
as early review.

Thanks and regards, Benoit
>
> Benoit and Joel:
>
> Would you do an earlier review on the draft:
>
> http://datatracker.ietf.org/doc/draft-ietf-idr-aigp/
>
> This draft allows multiple-AS Networks to make better path selections 
> within networks.  Please find someone with experience in BGP 
> deployment in large networks to review.  It has 3 implementation and 
> has seen deployment.  I do not have the details on the "deployment", 
> but Eric Rosen might.
>
> I cannot review the draft as I am the document shepherd.
>
> During our WG LC, we did not do a IPR last call so it is in a 2 week 
> IPR last call.  I anticipate that the draft will pop out of IPR last 
> call and be sent to the IESG on 1/22 for a telechat scheduling.
>
> Sue Hares
>
> Technical Discussion
>
>    Routing protocols that have been designed to run within a single
>
>    administrative domain ("IGPs") generally do so by assigning a metric
>
>    to each link, and then choosing as the installed path between two
>
>    nodes the path for which the total distance (sum of the metric of
>
>    each link along the path) is minimized. BGP, designed to provide
>
>    routing over a large number of independent administrative domains
>
>    ("autonomous systems"), does not make its path selection decisions
>
>    through the use of a metric.  It is generally recognized that any
>
>    attempt to do so would incur significant scalability problems, as
>
>    well as inter-administration coordination problems.  However, there
>
>    are deployments in which a single administration runs several
>
>    contiguous BGP networks.  In such cases, it can be desirable, within
>
>    that single administrative domain, for BGP to select paths based on a
>
>    metric, just as an IGP would do.  The purpose of this document is to
>
>    provide a specification for doing so.
>